# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */  #
# See https://wiki.hyprland.org/Configuring/Window-Rules/ for more

#windowrule = noblur,gamescope
#windowrule = fullscreen,gamescope
#windowrule = workspace 6 silent,^(gamescope)$

# windowrule Position
windowrule = center,class:^(pavucontrol|org.pulseaudio.pavucontrol|com.saivert.pwvucontrol)

# WINDOWRULE v2
# windowrule v2 - position
# windowrule = center,floating:1 # warning, it cause even the menu to float and center.
windowrule = center, class:([Tt]hunar), title:(File Operation Progress)
windowrule = center, class:([Tt]hunar), title:(Confirm to replace files)
windowrule = move 72% 7%,title:^(Picture-in-Picture)$ 
#windowrule = move 72% 7%,title:^(Firefox)$ 
windowrule = move cursor -50% -50%, class:blobdrop
windowrule = move cursor -50% -25%, class:Bitwarden
windowrule = move 0.5% 55px,title:term_hyprdrop
windowrule = move cursor -110% 0%, class:io.github.alainm23.planify

# windowrule v2 to avoid idle for fullscreen apps
windowrule = idleinhibit fullscreen, class:^(*)$
windowrule = idleinhibit fullscreen, title:^(*)$
windowrule = idleinhibit fullscreen, fullscreen:1

# windowrule v2 move to workspace
windowrule = workspace 1, class:^([Ff]irefox|org.mozilla.firefox|[Ff]irefox-esr)$
windowrule = workspace 1, class:^([Gg]oogle-chrome(-beta|-dev|-unstable)?)$
windowrule = workspace 1, class:^(zen)$ # zen browser
windowrule = workspace 1, class:thunderbird
windowrule = workspace 2, class:^(kitty)$
windowrule = workspace 3, class:^([Dd]iscord|[Ww]ebCord|[Vv]esktop)$
windowrule = workspace 3, class:^(teams-for-linux)$
windowrule = workspace 3, class:Element
windowrule = workspace 4 silent, class:^([Ss]team)$
windowrule = workspace 4, class:^([Ll]utris)$
windowrule = workspace 4, class:^([Hh]eroic)$
windowrule = workspace 5, class:^(com.github.th_ch.youtube_music)$
windowrule = workspace 5, class:^(feishin)$
windowrule = workspace 5, class:^(Supersonic)$
windowrule = workspace 6, class:^(jetbrains-phpstorm|jetbrains-rider)$

# windowrule v2 - float
windowrule = float, class:^(org.kde.polkit-kde-authentication-agent-1)$ 
windowrule = float, class:([Tt]hunar), title:(File Operation Progress)
windowrule = float, class:([Tt]hunar), title:(Confirm to replace files)
windowrule = float, class:(xdg-desktop-portal-gtk)
windowrule = float, class:^([Rr]ofi)$
windowrule = float, class:^(pavucontrol|org.pulseaudio.pavucontrol|com.saivert.pwvucontrol)$
windowrule = float, class:^(nwg-look|qt5ct|qt6ct)$
windowrule = float, class:^(mpv|com.github.rafostar.Clapper)$
windowrule = float, class:^(nm-applet|nm-connection-editor|blueman-manager)$
windowrule = float, class:^(gnome-system-monitor|org.gnome.SystemMonitor|io.missioncenter.MissionCenter)$ # system monitor
windowrule = float, class:^([Ss]team)$,title:^((?![Ss]team).*|[Ss]team [Ss]ettings)$
windowrule = float, class:^([Ff]erdium)$
windowrule = float, title:^(Picture-in-Picture)$
windowrule = float, title:^(ROG Control)$
#windowrule = float, title:^(Firefox)$
windowrule = float, class:^(io.ente.auth)$
windowrule = float, class:^(org.rncbc.qjackctl)$
windowrule = float, class:^(blobdrop)$
windowrule = float, title:yazi.*
windowrule = float, title:term_hyprdrop
windowrule = float, class:Bitwarden
windowrule = float, class:org.kde.kdeconnect.daemon
windowrule = float, class:org.kde.kdeconnect-settings
windowrule = float, class:org.kde.kdeconnect.app

# windowrule v2 - size
windowrule = size 70% 70%, class:^(xdg-desktop-portal-gtk)$
windowrule = size 60% 70%, title:^(hyprgui)$
windowrule = size 240px 450px, class:^(libresplit)$
windowrule = size 500px 1000px, class:^(io.ente.auth)$
windowrule = size 60% 70%, title:yazi.*
windowrule = size 99% 30%, title:term_hyprdrop
windowrule = size 40% 70%, class:Bitwarden

# windowrule v2 - pinning
windowrule = pin,title:^(Picture-in-Picture)$
windowrule = pin,class: ^(io.ente.auth)$
windowrule = pin,class:blobdrop

# windowrule v2 - extras
windowrule = keepaspectratio, title:^(Picture-in-Picture)$
